Package com.netrics.likeit

## Class NetricsThesStats

- java.lang.Object
- - com.netrics.likeit.NetricsThesStats

- All Implemented Interfaces:
    `NetricsCommonStats`, `java.io.Serializable`

      public class NetricsThesStats
      extends java.lang.Object
      implements java.io.Serializable

  This class contains information about a thesaurus on the ibi™ Patterns - Search server.

  Objects of this class contain status information on a thesaurus in the server. These objects are created and returned by the NetricsServerInterface thes_stats method. Normally there is no need to explicitly create a NetricsThesStats object.

  See Also:
    `NetricsServerInterface.thes_stats(java.lang.String[])`, Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCheckpointStatus()` | Return the status of any checkpoint for this table.
    `java.lang.String` | `getLayout()` | Deprecated. Deprecated since 5.6.
    `int` | `getTranId()` | Deprecated. Use `NetricsCommonStats.getTransactionId()` to obtain the full transaction id.
    `long` | `getTransactionId()` | Returns the full ID of the transaction that owns or claim this item.
    `int` | `getTranState()` | Returns the transaction state for this object.
    `boolean` | `isDirty()` | Returns true if this item is dirty.
    `boolean` | `isHeld()` | Returns true if this object is held by an open transaction.
    `boolean` | `isUpdated()` | Returns true if this item is updated by an open transaction.
    `int` | `NumberOfTokens()` | Return the number of tokens in the thesaurus.
    `NetricsLpar` | `StatsLpar()` | Return the raw stats LPAR
    `java.lang.String` | `ThesaurusName()` | Return the name of the thesaurus.
    `java.lang.String` | `ThesaurusType()` | Return the type of the thesaurus.
    `java.lang.String` | `toString()` | Convert to string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Convert to string representation.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### StatsLpar

          public NetricsLpar StatsLpar()

      Return the raw stats LPAR
      Returns:
        the raw stats LPAR

    - #### ThesaurusName

          public java.lang.String ThesaurusName()

      Return the name of the thesaurus.
      Returns:
        the name of the thesaurus.

    - #### ThesaurusType

          public java.lang.String ThesaurusType()

      Return the type of the thesaurus. This is one of:
      "substitution" standard thesaurus.
      "weighted term" a weighted dictionary.
      "combined" a combined thesaurus.
      "<unknown>" unknown thesaurus type. This is an error.
      Returns:
        the type of the thesaurus.
      See Also:
        `NetricsThesaurus`, `NetricsWeightedDictionary`, `NetricsCombinedThesaurus`

    - #### NumberOfTokens

          public int NumberOfTokens()

      Return the number of tokens in the thesaurus. This is not the number of equivalence classes or the number of entries in all equivalence classes. It is a count of the total number of separate tokens. It is usefull mostly for distinguishing one version of a thesaurus from another.
      Returns:
        the number of tokens in the thesaurus.

    - #### getTranState

          public int getTranState()

      Returns the transaction state for this object. If this object is not associated with a transaction this returns the special value NetricsTranStats.STATE_NULL. Otherwise it is an OR'd combination of one or more of the state values defined in NetricsTranStats.
      Specified by:
        `getTranState` in interface `NetricsCommonStats`
      Returns:
        the transaction state.

    - #### isDirty

          public boolean isDirty()

      Returns true if this item is dirty. This return trues if this item has been modified by a transaction that is not yet committed or aborted. Dirty items may not be trustworthy as the modifications may not be complete and may get rolled back if the transaction is aborted.
      Specified by:
        `isDirty` in interface `NetricsCommonStats`
      Returns:
        the dirty flag of the object.

    - #### isUpdated

          public boolean isUpdated()

      Returns true if this item is updated by an open transaction. This is not the same as the isDirty value, as an object is dirty if it was replaced, renamed, added or deleted in addition to updated. Updated indicates that some portion of the item was modified.
      Specified by:
        `isUpdated` in interface `NetricsCommonStats`
      Returns:
        the updated flag of the object.

    - #### isHeld

          public boolean isHeld()

      Returns true if this object is held by an open transaction. Held means it is being held in association with updates to another item, but it is not itself modified by the transaction. However another operation may have modified this item, so both isHeld and isDirty may return true.
      Specified by:
        `isHeld` in interface `NetricsCommonStats`
      Returns:
        the held flag of the object

    - #### getTranId

          public int getTranId()

      Deprecated.
      Use `NetricsCommonStats.getTransactionId()` to obtain the full transaction id.
      Returns a partial 32-bit id of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Specified by:
        `getTranId` in interface `NetricsCommonStats`
      Returns:
        a full transaction id.

    - #### getTransactionId

          public long getTransactionId()

      Returns the full ID of the transaction that owns or claim this item. If this item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).
      Specified by:
        `getTransactionId` in interface `NetricsCommonStats`
      Returns:
        a full transaction id.

    - #### getLayout

          @Deprecated
          public java.lang.String getLayout()

      Deprecated.
      Deprecated since 5.6. This function always returns null.
      Specified by:
        `getLayout` in interface `NetricsCommonStats`
      Returns:
        null

    - #### getCheckpointStatus

          public java.lang.String getCheckpointStatus()

      Return the status of any checkpoint for this table. This returns a description of the checkpoint status for a file. The possible return values are:
      Last Checkpoint: yyyy/mm/dd-HH:MM:SS if the table was checkpointed
      Never Checkpointed if the table is not checkpointed
      Checkpoints Disabled if checkpointing is not enabled on this server
      No Checkpoint Info if there was an error
      Returns:
        the checkpoint status of this table.